nodehive.settings:
  path: '/nodehive/settings'
  defaults:
    _form: '\Drupal\nodehive_core\Form\NodeHiveSettingsForm'
    _title: 'NodeHive Settings'
  requirements:
    _permission: 'access administration pages'

nodehive.local_settings:
  path: '/nodehive/env-vars'
  defaults:
    _form: '\Drupal\nodehive_core\Form\NodeHiveLocalSettingsForm'
    _title: 'Frontend Environment Variables'
  requirements:
    _permission: 'access administration pages'

nodehive_core.users_list_builder:
  path: '/nodehive/users'
  defaults:
    _form: '\Drupal\nodehive_core\Form\UserListBuilderForm'
    _title: 'Users'
  requirements:
    _permission: 'administer nodehive users'

nodehive_core.add_user_form:
  path: '/nodehive/users/add'
  defaults:
    _form: '\Drupal\nodehive_core\Form\UserAddForm'
    _title: 'Add user'
  requirements:
    _permission: 'administer nodehive users'

nodehive_core.edit_user_form:
  path: '/nodehive/users/{user}/edit'
  defaults:
    _form: '\Drupal\nodehive_core\Form\UserEditForm'
    _title: 'Edit user'
  requirements:
    _permission: 'administer nodehive users'

nodehive_core.cancel_user_form:
  path: '/nodehive/users/{user}/cancel'
  defaults:
    _form: '\Drupal\nodehive_core\Form\UserCancelAccountConfirmForm'
    _title: 'Cancel a user'
  requirements:
    _permission: 'administer nodehive users'

nodehive.jsonapi_translated_paths:
  path: '/nodehive/api/translated-paths'
  defaults:
    _controller: '\Drupal\nodehive_core\Controller\TranslatedPathsController::handle'
  methods: [GET]
  requirements:
    _permission: 'access content'

nodehive_core.data_modeller:
  path: '/nodehive/models'
  defaults:
    _controller: '\Drupal\nodehive_core\Controller\DataModelsController::dataModeller'
    _title: 'Content Models'
  requirements:
    _permission: 'administer nodehive space'

nodehive_core.content_browser:
  path: '/nodehive/content'
  defaults:
    _controller: '\Drupal\nodehive_core\Controller\ContentBrowserController::contentBrowser'
    _title: 'Content Browser'
  requirements:
    _permission: 'administer nodehive space'

nodehive_core.activity_block_render_controller:
  path: "/nodehive/activity-block/{action}/{number_of_items}/{workflow}"
  defaults:
    _controller: 'Drupal\nodehive_core\Controller\NodehiveActivityBlockController::renderAction'
    _title: "Activity action"
  requirements:
    _permission: 'administer nodehive space'
  options:
    _admin_route: TRUE

nodehive.release_notes:
  path: '/nodehive/releasenotes'
  defaults:
    _controller: '\Drupal\nodehive_core\Controller\ReleaseNotesController::content'
    _title: 'Release Notes'
  requirements:
    _permission: 'access content'
